// vim: set tw=80 ts=2 sw=2 sts=2 :
import { Level } from '@nsalaun/ng-logger';

import { AccountListState } from './accounts/account.states';
import { OperationListState } from './operations/operation.states';
import { ScheduleListState } from './scheduler/schedule.states';

export default function AppConfig($uiRouterProvider) {
  $uiRouterProvider.trace.enable(1);

  // Defining template and controller in function of route.
  const $stateRegistry = $uiRouterProvider.stateRegistry;

  $stateRegistry.register(OperationListState);

  $stateRegistry.register(ScheduleListState);

  $stateRegistry.register(AccountListState);

  const $urlService = $uiRouterProvider.urlService;
  $urlService.rules.otherwise({
    state: 'accounts'
  });
};

export const ApiBaseURL = "http://localhost:8080/api";
export const LogLevel = Level.LOG;
